> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get uischema

> Get UI schema items per type



## OpenAPI

````yaml /schema.json get /ui/schema/{type}
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /ui/schema/{type}:
    get:
      tags:
        - UI
      description: Get UI schema items per type
      operationId: getUiSchema
      parameters:
        - name: type
          in: path
          description: UI schema type
          required: true
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: UI schema items
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UiSchemaResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UiSchemaResponse:
      type: object
      properties:
        object:
          type: object
          properties:
            items:
              type: object
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````